%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global oname jboss-jsp-api_2.3_spec

Name:             jboss-jsp-2.3-api
Version:          1.0.3
Release:          %mkrel 4
Group:            Development/Java
Summary:          JavaServer Pages 2.3 API (JSP)
License:          (CDDL or GPLv2 with exceptions) or ASL 2.0

URL:              https://github.com/jboss/jboss-jsp-api_spec
Source0:          %{url}/archive/%{oname}-%{namedversion}.tar.gz
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.spec.javax.el:jboss-el-api_3.0_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)

%description
JSR-000245: JavaServer Pages 2.3

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jsp-api_spec-%{oname}-%{namedversion}

cp %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE LICENSE-2.0.txt



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-4.mga8
+ Revision: 1536303
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.0.3-3.mga8
+ Revision: 1453771
- rebuild against current java stack

* Thu Sep 20 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1278911
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.0.3-1.mga7
+ Revision: 1214915
- Update to version 1.0.3

* Wed May 17 2017 neoclust <neoclust> 1.0.1-1.mga6
+ Revision: 1102699
- New version 1.0.1.Final
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-0.5.Beta1.1.mga6
+ Revision: 977144
- sync package jboss-jsp-2.3-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 pterjan <pterjan> 1.0.0-0.Beta1.1.mga5
+ Revision: 805522
- Mageify
- imported package jboss-jsp-2.3-api


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Beta1
- Removed the API dir
- Removed provides

* Fri Dec 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Beta1
- Fixed license tag
- Added provides for API
- Cleaned up BR
- Added ASL 2.0 license

* Thu Dec 12 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging


